Subject: Re: snmpconf PM MIB issue #6 CLOSED - counter32Delta and counterRate

From: Jeff Case <[email-masked]>
Date: Tue, 12 Jun 2001 14:51:28 -0400 (EDT)

hi chris

i agree with most of what you said, but have a question ...

>I don't believe that these routines need to test for sysUpTime
>discontinuities as any action that resets sysUpTime should also reset the
>policies running. If, for an implementation, this is not true, then that
>implementation needs to test for sysUpTime discontinuities in the
>counterRate code. Doing so for counter32Delta requires changing the
>script--which is more ugly. I suggest we explicitly state what should
>happen in relation to resets of sysUpTime. My suggestion is that we should
>require that the scripting environment be reset if sysUpTime is reset.

are you assuming that the script is running on the same managed system
as where the sysUpTime and Counter32 variables "live"

how would your thinking change if they were not on the same system, which
is something we agreed to support

regards,
jdc